mbedtls_ecdh_context Struct Reference

ECDH context structure. More...

`#include <ecdh.h>`

Collaboration diagram for mbedtls_ecdh_context:
[legend]

## Data Fields

mbedtls_ecp_group | grp
mbedtls_mpi | d
mbedtls_ecp_point | Q
mbedtls_ecp_point | Qp
mbedtls_mpi | z
int | point_format
mbedtls_ecp_point | Vi
mbedtls_ecp_point | Vf
mbedtls_mpi | _d

## Detailed Description

ECDH context structure.

Definition at line 44 of file ecdh.h.

## Field Documentation

mbedtls_mpi mbedtls_ecdh_context::_d

previous d (for later)

Definition at line 54 of file ecdh.h.

mbedtls_mpi mbedtls_ecdh_context::d

our secret value (private key)

Definition at line 47 of file ecdh.h.

mbedtls_ecp_group mbedtls_ecdh_context::grp

elliptic curve used

Definition at line 46 of file ecdh.h.

int mbedtls_ecdh_context::point_format

format for point export in TLS messages

Definition at line 51 of file ecdh.h.

mbedtls_ecp_point mbedtls_ecdh_context::Q

our public value (public key)

Definition at line 48 of file ecdh.h.

mbedtls_ecp_point mbedtls_ecdh_context::Qp

peer's public value (public key)

Definition at line 49 of file ecdh.h.

mbedtls_ecp_point mbedtls_ecdh_context::Vf

un-blinding value (for later)

Definition at line 53 of file ecdh.h.

mbedtls_ecp_point mbedtls_ecdh_context::Vi

blinding value (for later)

Definition at line 52 of file ecdh.h.

mbedtls_mpi mbedtls_ecdh_context::z

shared secret

Definition at line 50 of file ecdh.h.

The documentation for this struct was generated from the following file:

- ecdh.h